{
  "name": "node-remix-app-a5c6",
  "private": true,
  "sideEffects": false,
  "scripts": {
    "build": "remix build",
    "dev": "cross-env NODE_ENV=development binode --require ./mocks -- @remix-run/dev:remix dev",
    "format": "prettier --write .",
    "lint": "eslint --cache --cache-location ./node_modules/.cache/eslint .",
    "setup": "prisma generate && prisma migrate deploy && prisma db seed",
    "start": "remix-serve build",
    "start:mocks": "binode --require ./mocks -- @remix-run/serve:remix-serve build",
    "test": "vitest run",
    "test:e2e:dev": "start-server-and-test dev http://localhost:3000 \"npx cypress open\"",
    "pretest:e2e:run": "npm run build",
    "test:e2e:run": "cross-env PORT=8811 start-server-and-test start:mocks http://localhost:8811 \"npx cypress run\"",
    "typecheck": "tsc && tsc -p cypress",
    "validate": "run-p \"test -- --run\" lint typecheck test:e2e:run"
  },
  "prettier": {},
  "eslintIgnore": [
    "/node_modules",
    "/build",
    "/public/build"
  ],
  "dependencies": {
    "@prisma/client": "^4.12.0",
    "@remix-run/css-bundle": "^1.16.1",
    "@remix-run/node": "^1.16.1",
    "@remix-run/react": "^1.16.1",
    "@remix-run/serve": "^1.16.1",
    "bcryptjs": "^2.4.3",
    "isbot": "^3.6.8",
    "react": "^18.2.0",
    "react-dom": "^18.2.0",
    "tiny-invariant": "^1.3.1"
  },
  "devDependencies": {
    "@faker-js/faker": "^7.6.0",
    "@remix-run/dev": "^1.16.1",
    "@remix-run/eslint-config": "^1.16.1",
    "@testing-library/cypress": "^9.0.0",
    "@testing-library/jest-dom": "^5.16.5",
    "@testing-library/react": "^14.0.0",
    "@testing-library/user-event": "^14.4.3",
    "@types/bcryptjs": "^2.4.2",
    "@types/eslint": "^8.37.0",
    "@types/node": "^18.15.11",
    "@types/react": "^18.0.37",
    "@types/react-dom": "^18.0.11",
    "@vitejs/plugin-react": "^3.1.0",
    "@vitest/coverage-c8": "^0.30.1",
    "autoprefixer": "^10.4.14",
    "binode": "^1.0.5",
    "c8": "^7.13.0",
    "cookie": "^0.5.0",
    "cross-env": "^7.0.3",
    "cypress": "^12.10.0",
    "eslint": "^8.38.0",
    "eslint-config-prettier": "^8.8.0",
    "eslint-plugin-cypress": "^2.13.2",
    "happy-dom": "^9.8.0",
    "msw": "^1.2.1",
    "npm-run-all": "^4.1.5",
    "postcss": "^8.4.22",
    "prettier": "2.8.7",
    "prettier-plugin-tailwindcss": "^0.2.7",
    "prisma": "^4.12.0",
    "start-server-and-test": "^2.0.0",
    "tailwindcss": "^3.3.1",
    "ts-node": "^10.9.1",
    "tsconfig-paths": "^4.2.0",
    "typescript": "^5.0.4",
    "vite": "^4.2.1",
    "vite-tsconfig-paths": "^3.6.0",
    "vitest": "^0.30.1"
  },
  "engines": {
    "node": ">=14"
  },
  "prisma": {
    "seed": "ts-node --require tsconfig-paths/register prisma/seed.ts"
  }
}
